ReadySetGoGraphInternal::Layout Struct Reference

Internal: a layout in a ReadySetGoGraph document. More...

## Public Member Functions

| Layout ()
| constructor

## Public Attributes

bool | m_useMasterPage
| a flag to know if we use or not the master page
int | m_masterId
| the master id: v6
std::vector< Shape > | m_shapes
| a map id to shape

## Detailed Description

Internal: a layout in a ReadySetGoGraph document.

## Constructor & Destructor Documentation

## Layout()

ReadySetGoGraphInternal::Layout::Layout | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_masterId

int ReadySetGoGraphInternal::Layout::m_masterId

the master id: v6

Referenced by Layout().

## m_shapes

std::vector<Shape> ReadySetGoGraphInternal::Layout::m_shapes

a map id to shape

Referenced by Layout(), ReadySetGoGraph::readShapeDSV2(), ReadySetGoGraph::readShapeV2(), ReadySetGoGraph::readShapeV3(), ReadySetGoGraph::readShapeV6(), and ReadySetGoGraph::send().

## m_useMasterPage

bool ReadySetGoGraphInternal::Layout::m_useMasterPage

a flag to know if we use or not the master page

Referenced by Layout().

The documentation for this struct was generated from the following file:

- ReadySetGoGraph.cxx